Package org.apache.commons.lang3.function

## Interface FailableRunnable<E extends java.lang.Throwable>

Type Parameters:
  `E` - Thrown exception.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface FailableRunnable<E extends java.lang.Throwable>

A functional interface like `Runnable` that declares a `Throwable`.

Since:
  3.11

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `run()` Runs the function.

### Method Detail

#### run

    void run()
      throws E extends java.lang.Throwable

Runs the function.

Throws:
  `E` - Thrown when the function fails.
  `E extends java.lang.Throwable`